% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/condition.R
\name{new_condition}
\alias{new_condition}
\title{New condition}
\usage{
new_condition(
  msg = "",
  class = NULL,
  call = NULL,
  type = c("error", "warning", NA_character_),
  message = msg
)
}
\arguments{
\item{msg, message}{A message to print}

\item{class}{Character string of a single condition class}

\item{call}{A call expression}

\item{type}{The type (additional class) of condition: either \verb{error"},
\code{"warning"} or \code{NA}, which is treated as \code{NULL}}
}
\value{
A \code{condition} with the classes specified from \code{class} and \code{type}
}
\description{
Template for a new condition.  See more at \link[base:conditions]{base::conditions}
}
\examples{
# empty condition
x <- new_condition("informative error message", class = "foo")
try(stop(x))

}
